# Interface Iterator<T, TReturn, TNext>

#### Type Parameters

- #### T

- #### TReturn = any

- #### TNext = any

#### Hierarchy

- Iterator
  - IterableIterator
  - IteratorObject

#####
Index

### Methods

next
return?
throw?

## Methods

### next

- next(...__namedParameters): IteratorResult<T, TReturn>

- #### Parameters

  - ##### `Rest` ...__namedParameters: [] | [TNext]

  #### Returns IteratorResult<T, TReturn>

### `Optional` return

- return(value?): IteratorResult<T, TReturn>

- #### Parameters

  - ##### `Optional` value: TReturn

  #### Returns IteratorResult<T, TReturn>

### `Optional` throw

- throw(e?): IteratorResult<T, TReturn>

- #### Parameters

  - ##### `Optional` e: any

  #### Returns IteratorResult<T, TReturn>

Generated using TypeDoc